[ABD] Store MOD Version 0.0.5

A place for MOD Authors to post and receive feedback on MODs still in development. No MODs within this forum should be used within a live environment! No new topics are allowed in this forum.
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

IMPORTANT: MOD Development Forum rules

On February 1, 2009 this forum will be set to read only as part of retiring of phpBB2.
Locked
A.I. BOT
Registered User
Posts: 1848
Joined: Thu Apr 17, 2003 11:43 pm
Location: Newfoundland, Canada
Contact:

Post by A.I. BOT »

well i got everything to work now with store mod on Cash 2.1.1 i had to fix some errors to make it EMC

It works fine :)

thanks for the mod lol
I can show a test board I did for it working on cash 2.1.1

anyway good mod

one thing when u come out with the bata nothing will go wroung when i upgrade will it cuz where i used cash 2.1.1 on it?

EDIT ----
here is the site to test it on 2.1.1 www.whforums.tk
test account:

Username: testuser
Pass: qwerty
Last edited by A.I. BOT on Sat Dec 20, 2003 9:07 pm, edited 1 time in total.
Peter VDD
Registered User
Posts: 140
Joined: Sun Oct 12, 2003 12:18 pm
Contact:

Post by Peter VDD »

I'm not quite getting this...

you say that it's required to have the cash mod, but it's not working with this :?

please explain yourself... :(
pokemaster
Registered User
Posts: 361
Joined: Fri Aug 22, 2003 8:10 am
Location: UK

Post by pokemaster »

when this mod was made i think cash mod 2.0.2 was the cash mod.... but about 2 - 3 weeks ago it got upgraded to 2.2.1 and now you have to do the changes to the store IF you use the 2.2.1 but if you use the 2.0.2 you don't have to do any thing!
Buga
Registered User
Posts: 15
Joined: Sun Nov 09, 2003 5:54 pm

Post by Buga »

Pokemaster you made those updates to v2.2.1 wrong
A.I. BOT
Registered User
Posts: 1848
Joined: Thu Apr 17, 2003 11:43 pm
Location: Newfoundland, Canada
Contact:

Post by A.I. BOT »

no... you replace all the cash_table
PcH
Registered User
Posts: 5
Joined: Sat Dec 20, 2003 11:00 pm

Post by PcH »

I just installed the latest Cash Mod and am running the latest phpBB version. I could not install the two following updates for the Store Mod:

Code: Select all

#-----[ OPEN ]------------------------------------------------
#
templates/subSilver/profile_view_body.tpl
#
#-----[ FIND ]------------------------------------------------
#
		<!-- END switch_exchangeon -->
#
#-----[ AFTER, ADD ]-----------------------------------------
#	
		<!-- BEGIN switch_item_view -->
    <tr>
		  <td valign="top" align="right" nowrap="nowrap"><span class="gen">{L_USER_ITEMS}:</span></td>
		  <td> <b><span class="gen"><a href="{U_USER_ITEMS}" class="gen">{L_USER_ITEMS_GOTO}</a></span></b></td>
		</tr>
		<!-- END switch_item_view -->	
#
#-----[ OPEN ]------------------------------------------------
#
templates/subSilver/viewtopic_body.tpl
#
#-----[ FIND ]------------------------------------------------
#
		<!-- END cashrow -->
#
#-----[ AFTER, ADD ]-----------------------------------------
#	
		<!-- BEGIN switch_item_view -->
		<br />
    <a href="{postrow.U_USER_ITEMS}" class="postdetails">{postrow.L_USER_ITEMS_GOTO}</a>
    <!-- END switch_item_view -->
I couldn't install the updates because I found nothing in the searches for both.

Obviously these two incomplete updates cause this problem when trying to view the store or bank:

Code: Select all

SQL Error : 1146 Table 'pchz_xmb1.phpbb_store_list' doesn't exist

SELECT * FROM phpbb_store_list WHERE owner_id = 2

Line : 272
File : /home/pchz/public_html/forums/includes/functions_store.php
AND

Code: Select all

SQL Error : 1146 Table 'pchz_xmb1.phpbb_store_list' doesn't exist

SELECT store_id, store_name FROM phpbb_store_list WHERE owner_id = 2

Line : 449
File : /home/pchz/public_html/forums/includes/functions_store.php
Can someone help me? :) Thanks.
Peter VDD
Registered User
Posts: 140
Joined: Sun Oct 12, 2003 12:18 pm
Contact:

Post by Peter VDD »

are your table prefixes phpbb_? if not you gotta change em in the installer...
andyshen
Registered User
Posts: 98
Joined: Tue Nov 11, 2003 9:07 pm
Contact:

Post by andyshen »

can you get zarath's shop and eric's store all working at once and make the item compatable?
A.I. BOT
Registered User
Posts: 1848
Joined: Thu Apr 17, 2003 11:43 pm
Location: Newfoundland, Canada
Contact:

Post by A.I. BOT »

Problemly but y would u want to?
User avatar
thewizard
Registered User
Posts: 356
Joined: Sun Sep 29, 2002 7:46 am

Post by thewizard »

andyshen wrote: can you get zarath's shop and eric's store all working at once and make the item compatable?


It would be easier for you to just choose one and run with it. Eric's shop in its current state will not work with Zarath's. It would require an entire rewrite of either system to work with another.
A.I. BOT
Registered User
Posts: 1848
Joined: Thu Apr 17, 2003 11:43 pm
Location: Newfoundland, Canada
Contact:

Post by A.I. BOT »

Zaraths Shop Mod is not as good as Erics Store Mod

u get unlimited stores
users can create there own stores with unlimted items

and it somes with a easy control panel in the acp

i have a demo of the Store mod working on Cash 2.1.1

here

www.whforums.tk
Username: testuser
Pass: qwerty
note: click Stay On Automaticly cuz login is sometimes screwy
Last edited by A.I. BOT on Sun Dec 21, 2003 12:22 am, edited 1 time in total.
wGEric
Former Team Member
Posts: 8805
Joined: Sun Oct 13, 2002 3:01 am
Location: Friday
Name: Eric Faerber
Contact:

Post by wGEric »

Just an update.

I will be releasing a minor version sometime (hopefully soon) that will work with the latest version of the Cash MOD. After that is released I will be asking Xore if I can continue his Item API and I'll start integrating the it into the Store. Once that is all done, I'll start on adding new features.
Eric
Simo Hayha
Registered User
Posts: 37
Joined: Sat Oct 18, 2003 10:50 pm
Contact:

Post by Simo Hayha »

man i wish this would support the points mod =[
PcH
Registered User
Posts: 5
Joined: Sat Dec 20, 2003 11:00 pm

Post by PcH »

wGEric wrote: Just an update.

I will be releasing a minor version sometime (hopefully soon) that will work with the latest version of the Cash MOD. After that is released I will be asking Xore if I can continue his Item API and I'll start integrating the it into the Store. Once that is all done, I'll start on adding new features.


So the Store Mod doesn't support the latest Cash Mod? :( Maybe that is why I got those errors. :?:
pokemaster
Registered User
Posts: 361
Joined: Fri Aug 22, 2003 8:10 am
Location: UK

Post by pokemaster »

yes, it is compatible if you use the code at the top of this page (which makes it compatible with store 0.0.4!)

Plus on my forum i got both store mod and zarath's shop mod working together!!!
Locked

Return to “[2.0.x] MODs in Development”